View Issue Details

IDProjectCategoryView StatusLast Update
0004359Talerdocumentationpublic2017-10-23 10:52
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionopen 
Product Version0.0 
Target Version0.5Fixed in Version0.4 
Summary0004359: document taler.net setup
DescriptionWe need to have some documentation on what's running on taler.net, in case the server crashes and burns and we need to set up a new one.

Part of that configuration (like nginx, and the demo/test account setup) is already in the deployment.git, but we should describe other important parts of the setup as well.
TagsNo tags attached.

Relationships

related to 0004645 closedChristian Grothoff Refactor of Taler API's documentation 

Activities

Marcello Stanisci

2016-11-10 11:01

manager   ~0011469

Last edited: 2016-12-20 11:48

View 4 revisions

Buildbot: master is 'containers' user and there are two workers which are 'bbslave' (just build the whoe codebase) and 'lcosvslave' (generates lcov HTML, therefore referenced by lcov.taler.net).

To start the master: from container's $HOME, execute buildbot/start.sh
To stop the master: from container's $HOME, execute buildbot/stop.sh
(A restart.sh is also available in the same location)

To start the slave: from whatever slave's $HOME, execute
  
  $ . activate
  $ taler-deployment-bbstart
  # To stop it
  $ taler-deployment-bbstop

Marcello Stanisci

2016-11-10 11:03

manager   ~0011470

Florian: whenever you think something is worth documenting, leave a note on that.

Marcello Stanisci

2016-12-23 12:30

manager   ~0011609

How to run and stop docker images. Look at README in deployment/docker/README.

Marcello Stanisci

2017-04-23 10:59

manager   ~0012057

deployment's repository tracks a txt called tripwire_sysadmin.txt, where all
(?) the instructions about running services on tripwire are collected.

Christian Grothoff

2017-10-23 10:52

manager   ~0012511

We have the onboarding manual, so this is no longer an outstanding issue. Naturally, it is an _ongoing_ issue to keep everything documented and improving the docs, but the specific original issue of having _some_ docs is clearly fixed.

Issue History

Date Modified Username Field Change
2016-04-04 14:16 Florian Dold New Issue
2016-04-06 09:42 Christian Grothoff Severity minor => text
2016-04-06 09:42 Christian Grothoff Status new => confirmed
2016-04-06 09:42 Christian Grothoff Category other => deployment and operations
2016-04-06 09:42 Christian Grothoff Product Version => 0.0
2016-05-05 15:29 Christian Grothoff Target Version => 0.5
2016-05-26 21:57 Christian Grothoff Target Version 0.5 => 0.1
2016-05-26 21:59 Christian Grothoff Assigned To => Marcello Stanisci
2016-05-26 21:59 Christian Grothoff Status confirmed => assigned
2016-05-31 09:50 Christian Grothoff Target Version 0.1 => 0.4
2016-09-07 16:57 Marcello Stanisci Relationship added related to 0004645
2016-10-10 08:33 Christian Grothoff Target Version 0.4 => 0.5
2016-11-07 09:59 Marcello Stanisci Category deployment and operations => documentation
2016-11-10 11:01 Marcello Stanisci Note Added: 0011469
2016-11-10 11:03 Marcello Stanisci Note Added: 0011470
2016-11-16 15:07 Marcello Stanisci Note Edited: 0011469 View Revisions
2016-12-20 11:32 Marcello Stanisci Note Edited: 0011469 View Revisions
2016-12-20 11:48 Marcello Stanisci Note Edited: 0011469 View Revisions
2016-12-23 12:30 Marcello Stanisci Note Added: 0011609
2017-04-09 00:16 Christian Grothoff Target Version 0.5 => 0.7.1
2017-04-23 10:59 Marcello Stanisci Note Added: 0012057
2017-10-23 10:52 Christian Grothoff Status assigned => closed
2017-10-23 10:52 Christian Grothoff Fixed in Version => 0.4
2017-10-23 10:52 Christian Grothoff Target Version 0.7.1 => 0.5
2017-10-23 10:52 Christian Grothoff Note Added: 0012511